/* Importing Google font - Poppins */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}



.swal2-container {
  z-index: 1000 !important; 
}

.swal2-popup {
  z-index: 9999 !important;  
}

.my-swal {
  z-index: 9999 !important;
}

body {
  min-height: 100vh;
  /*background: #F0F4FF;*/
  background-image: linear-gradient(-135deg, #cddef2 0%, #e7f0fd 40%);
}

#navBar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 110px;
  display: flex;
  overflow-x: hidden;
  flex-direction: column;
  /* background: #22263b; */
  background: #ffffff;
  padding: 25px 20px;
  transition: all 0.3s ease;
  z-index: 1000;
  /* border: #161a2d;
  border-radius: 4px; */
}
/* ineed the container to be always on the left of navbar */


/* i need to set a min. of 110px for margin left on the .container */

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 110px;
  display: flex;
  flex-direction: column;
  background: #334167;
  padding: 5px 20px;
  transition: all 0.4s ease;
  z-index: 1000;
  overflow: hidden;
  /* border: #161a2d;
  border-radius: 4px; */
}

.sidebar-links .submenu {
  display: none;
  list-style: none;
  padding-left: 20px; /* Indent the submenu */
  margin-bottom: 10px;
}

.sidebar-links li.nav-item:hover .submenu {
  display: block;
}

.sidebar-links .submenu li a {
  display: flex;
  align-items: center;
  /* gap: 5px; */
  padding: 8px 12px;
  text-decoration: none;
  color: #FFF;
  transition: 0.2s ease;
  justify-content: center;
  border-radius: 4px;
  font-size: 14px;
}

.sidebar-links li a .fa-angle-down {
  position: absolute;
  right: 10px;
  top: 22px;
  opacity: 0.5;
}

.sidebar:hover .sidebar-links .submenu li a {
  justify-content: flex-start;
}

.sidebar-links .submenu li a .menu-text {
  opacity: 0;
  display: none;
  transition: opacity 0.3s ease;
}


.sidebar-links .submenu li a .menu-icon::before {
  font-size: 20px !important;
}

.sidebar:hover .sidebar-links .submenu li a .menu-text {
  opacity: 1;
  display: inline-block;
}

.sidebar-links .submenu li a:not(.disabled):hover {
  /* color: #161a2d;
  background: #fff; */
  color: #fff;
  background: #161a2d;
  border-radius: 4px;
}

.sidebar-links .submenu li a.active {
  background: #6a7fd1;
  color: #ffffff;
  border-radius: 4px;
}

.sidebar-links li a.active {
  background: #b9a5ff;
  color: #ffffff;
  border-radius: 4px;
}

.sidebar-links li a.disabled,
.sidebar-links .disabled-item {
  color: #98a6cd;
  background: #273251;
  border-radius: 4px;
  cursor: help;
}

.sidebar-links .disabled-item > h4 {
  color: #98a6cd;
}

.sidebar:hover {
  width: 260px;
}

.sidebar-links {
  list-style: none;
  margin-top: 20px;
  height: 86%;
  overflow-y: auto;
  scrollbar-width: none;
  width: 70px;
  padding: 0px;
}

.sidebar:hover .sidebar-links {
  width: auto;
  scrollbar-width: auto;
}

.sidebar .sidebar-header {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100px;
  transition: all 0.4s ease;
  gap: 10px;
  margin-left: -20px;
  margin-right: -20px;
}

.sidebar .sidebar-header .btnToggleNavBar {
  display: none !important;
}

.sidebar .sidebar-header img {
  max-width: 80px;
  height: auto;
  transition: all 0.4s ease;
  transform: translateY(10px);
  cursor: pointer;
}

.sidebar:hover .sidebar-header img {
  max-width: 120px;
  transform: translateY(0);
}


.sidebar .sidebar-header h2 {
  /* color: #fff; */
  color: #161a2d;
  font-size: 1.25rem;
  font-weight: 600;
  white-space: nowrap;
  margin-left: 5px;
}

.sidebar:hover .sidebar-header h2 {
  margin-left: 0px; 
}

.sidebar-links h4 {
  /* color: #fff; */
  color: #FFF;
  background-color: #334167;
  font-weight: 500;
  white-space: nowrap;
  margin: 10px 0;
  position: relative;
  padding-top: 10px;
}

.sidebar-links h4 > *:not(.menu-separator) {
  opacity: 0;
}

.sidebar:hover .sidebar-links h4 {
  background-color: unset;
}

.sidebar:hover .sidebar-links h4 span {
  font-size: 1rem;
}

.sidebar:hover .sidebar-links h4 > *:not(.menu-separator) {
  opacity: 1;
}

.sidebar-links .menu-separator {
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 1px;
  transform: scaleX(1);
  transform: translateY(-50%);
  background: #4f52ba;
  transform-origin: right;
  transition-delay: 0.2s;
}

.sidebar:hover .sidebar-links .menu-separator {
  transition-delay: 0s;
  transform: scaleX(0);
}

.sidebar-links::-webkit-scrollbar {
  display: none;
}

.sidebar-links li a {
  display: flex;
  align-items: flex-start;
  gap: 2px !important;
  /* color: #fff; */
  color: #FFF;
  font-weight: 500;
  white-space: nowrap;
  padding: 10px 5px;
  text-decoration: none;
  transition: 0.2s ease;
  justify-content: center;
  border-radius: 4px;
  position: relative;
}

.sidebar-links li a .menu-icon,
.sidebar-links li a .menu-text {
  margin: 0;
}

.sidebar-links li a .menu-icon {
  font-size: 24px;
  min-width: 40px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  transition: none !important;
  flex-shrink: 0;
}

.sidebar-links li a .menu-text {
  opacity: 0;
  display: none;
  transition: opacity 0.3s ease;
}

.sidebar:hover .sidebar-links li a {
  justify-content: flex-start;
}

.sidebar:hover .sidebar-links li a .menu-text {
  opacity: 1;
  display: inline-block;
}

.sidebar:hover .sidebar-links li a .menu-icon {
  text-align: left;
}

.sidebar-links li a:not(.disabled):hover {
  /* color: #161a2d;
  background: #fff; */
  color: #fff;
  background: #161a2d;
  border-radius: 4px;
}

.user-account {
  margin-top: auto;
  padding: 12px 10px;
  margin-left: -10px;
}

.user-profile {
  display: flex;
  align-items: center;
  /* color: #161a2d; */
  /* color: #fff; */
  color: #161a2d;
}

.user-profile img {
  width: 42px;
  border-radius: 50%;
  /* border: 2px solid #fff; */
  border: 2px solid #161a2d;
}

.sidebar-header img {
  width: 100%;
  /* border-radius: 50%; */
}

.user-profile h3 {
  font-size: 1rem;
  font-weight: 600;
}

.user-profile span {
  font-size: 0.775rem;
  font-weight: 600;
}

.user-detail {
  margin-left: 23px;
  white-space: nowrap;
}

.sidebar:hover .user-account {
  /* background: #fff; */
  background: #161a2d;
  border-radius: 4px;
}

#topBar {
  position: fixed;
  top: 0;
  left: 0;
  height: 70px;
  width: 100%;
  display: flex;
  overflow-x: hidden;
  flex-direction: column;
  /* background: #22263b; */
  background: #ffffff;
  transition: all 0.3s ease;
  z-index: 1000;
  /* border: #161a2d;
  border-radius: 4px; */
}

.topbar {
  position: fixed;
  top: 0;
  left: 0;
  height: 70px;
  width: 100%;
  display: flex;
  overflow-x: hidden;
  flex-direction: column;
  /* background: #22263b; */
  background: #4f5f89;
  padding: 5px 20px;
  transition: all 0.4s ease;
  z-index: 1000;
  overflow-x: hidden;
  /* border: #161a2d;
  border-radius: 4px; */
}

.topbar .topbar-header {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100px;
  transition: all 0.4s ease;
}

.topbar .topbar-header .btnToggleNavBar {
  display: none !important;
}

.topbar .topbar-header img:not(#user-profile) {
  position: absolute;
  max-width: 80px;
  width: auto;
  max-height: 50px;
  height: auto;
  aspect-ratio: 70/50;
  transition: all 0.4s ease;
  object-fit: contain;
}

.topbar .topbar-header h2 {
  width: 110px;
  /* color: #fff; */
  color: #161a2d;
  font-size: 1.25rem;
  font-weight: 600;
  white-space: nowrap;
  margin-left: 5px;
  margin-bottom: auto;
  transition: all 0.3s ease;
}

.topbar .topbar-header .text-heading {
  color: #FFF !important;
}

.topbar .topbar-header a:hover {
  color: #b9a5ff !important;
}

.topbar .topbar-header .dropdown-menu a:hover {
  color: #5536c7 !important;
}

.topbar .topbar-header .user-icon {
  align-content: center; 
  position: relative; 
  cursor: pointer;
}

.topbar .topbar-header .user-icon a {
  color: #FFF;
}

.topbar .topbar-header .user-icon #user-profile {
  width: 45px;
  height: 45px;
  border-radius: 50%;
  object-fit: cover;
}

@media (min-width: 930px) {
  #navBar.sidebar-show {
    display: flex !important;
  }
}

@media (max-width: 930px) {
  #navBar {
    display: none;
  }

  .sidebar {
    width: 260px;
  }

  .sidebar .sidebar-header h2 {
    margin-left: 0px; 
  }

  .sidebar .sidebar-links {
    width: auto;
    scrollbar-width: auto;
  }

  .sidebar .sidebar-links .submenu li a {
    justify-content: flex-start;
  }

  .sidebar .sidebar-links .submenu li a .menu-text {
    opacity: 1;
    display: inline-block;
  }

  .sidebar .sidebar-header img {
    max-width: 120px;
    transform: translateY(0);
  }

  .sidebar .sidebar-header .btnToggleNavBar {
    display: inline-flex !important;
  }

  .topbar .topbar-header .btnToggleNavBar {
    display: inline-flex !important;
  }

  .sidebar .sidebar-links h4 {
    background-color: unset;
  }

  .sidebar .sidebar-links h4 > span {
    font-size: 1rem;
  }

  .sidebar .sidebar-links h4 > *:not(.menu-separator) {
    opacity: 1;
  }

  .sidebar .sidebar-links .menu-separator {
    transition-delay: 0s;
    transform: scaleX(0);
  }

  .sidebar .sidebar-links li a {
    justify-content: flex-start;
  }

  .sidebar .sidebar-links li a .menu-text {
    opacity: 1;
    display: inline-block;
  }

  .sidebar .sidebar-links li a .menu-icon {
    text-align: left;
  }

  .sidebar .user-account {
    background: #161a2d;
    border-radius: 4px;
  }
}
@media (max-width: 552px) {
  .topbar {
    padding: 5px 8px;
  }

  .topbar .topbar-header h2 {
    width: 90px;
  }

  .topbar .icons {
    padding-left: 0px;
  }

  .topbar .menu-icon {
    margin-right: 0px;
  }

  .topbar .btn {
    padding: 15px !important;
  }

  .topbar .user-icon .fa-circle {
    font-size: 2.2rem !important;
  }

  .topbar .user-icon .fa-user {
    font-size: 1.2rem !important;
  }

  .topbar .icons .material-symbols-outlined {
    font-size: 25px !important;
    padding: 8px 3px !important;
  }

  .topbar .text-heading {
    font-size: 0.75rem !important;
  }
}

.bg {
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  top: 0;
  left: -90%;
  right: -90%;
  animation: slide 3s ease-in-out infinite alternate;
  background-color: #256392;
  opacity: 0.1;
  z-index: -1;
  transform: rotateZ(60deg); 
}

.bg-top {
  top: -49%;
}

.bg-bottom {
  top: 58%;
}

.bg2 {
  animation-direction: alternate-reverse;
  animation-duration: 4s;
  background-color: #10108b;
}

.bg3 {
  animation-duration: 5s;
  background-color: #494788;;
}

@keyframes slide {
  0% {
    transform: translateX(-25%) rotateZ(60deg); 
  }
  100% {
    transform: translateX(25%) rotateZ(60deg); 
  }
}

.sidebar .btn:not(:hover),
.topbar .btn:not(:hover) {
  color: #FFF;
}

.topbar .icons {
  padding-left: 0.5rem;
}

.topbar .icons .material-symbols-outlined {
  font-size: 30px;
  padding: 7px;
  color: #FFF;
}
.topbar .icons .material-symbols-outlined:hover {
  color: #b9a5ff !important;
}